<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Ваш цвет сообщений';
include_once '../sys/inc/thead.php';
title();

err();

if (isset($user) & $user['balls']<=701)
{
echo "<div class='anput1'><u>Данная опция для Вас недоступна!</u><br/>У Вас слишком мало монет чтобы попасть в меню настроек изменения цвета сообщений!<br/>Необходимо иметь минимум <b>700</b> монет<br/>
У Bас <img src='/style/img/coins.gif' alt='' class='icon'/> <b>$user[balls]</b> монет</div>\n";
}
else
{
if(isset($_POST['mcolor'])&& strlen2(mysql_escape_string(esc(stripcslashes(htmlspecialchars($_POST['mcolor'])))))<=10)
{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-700)."' WHERE `id` = '$user[id]' LIMIT 1");
$user['mcolor']=mysql_escape_string(esc(stripcslashes(htmlspecialchars($_POST['mcolor']))));
mysql_query("UPDATE `user` SET `mcolor` = '".$_POST['mcolor']."' WHERE `id` = '$user[id]' LIMIT 1");
$color = $_POST['mcolor'];
$q = mysql_query("SELECT * FROM `fanat` WHERE `user` = '$user[id]' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

$msg_lenta="Изменил цвет текста сообщений";

mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_lenta', '$time')"); 
}
if (!isset($err))msg('Операция прошла успешно! - 700 монет');
}


if(!empty($mcolor))
{
echo "Текущий цвет <font color='".$mcolor."'><u>".$mcolor."</u></font><br/>\n";
}
echo "<div class='anput2'>Стоимость окраски цвета сообщений <b>700</b> монет <img src='/style/icons/many.gif' alt='' class='icon'/></div>\n";
echo '<div class="menu">';
echo "Выберите цвет:<br/>\n";
echo "<form action=\"mcolor.php?".SID."\" method=\"post\">\n";
echo '<select name="mcolor">
<option value="red" style="background-color: red; color: white;">красный</option>
<option value="brown" style="background-color: brown; color: white;">коричневый</option>
<option value="pink" style="background-color: pink; color: white;">Светло-розовый</option>
<option value="#ef79ae" style="background-color: #ef79ae; color: white;">Малиновый</option>
<option value="#f509fe" style="background-color: #f509fe; color: white;">розовый</option>
<option value="#be340a" style="background-color: #be340a; color: white;">темно-оранжевый</option>
<option value="#590147" style="background-color: #590147; color: white;">темно-сиреневый</option>
<option value="green" style="background-color: green; color: white;">зеленый</option>
<option value="#094010" style="background-color: #094010; color: white;">темно-зеленый</option>
<option value="lightgreen" style="background-color: lightgreen; color: white;">светло-зеленый</option>
<option value="#669999" style="background-color: #669999; color: white;">морской волны</option>
<option value="#471b23" style="background-color: #471b23; color: white;">Бурый</option>
<option value="#65a442" style="background-color: #65a442; color: white;">Болотный</option>
<option value="blue" style="background-color: blue; color: white;">синий</option>
<option value="#12177a" style="background-color: #12177a; color: white;">темно-синий</option>
<option value="#000000" style="background-color: #000000; color: white;">черный</option>
<option value="#4e9de1" style="background-color: #4e9de1; color: white;">голубой</option>
<option value="#0ca2a8" style="background-color: #0ca2a8; color: white;">грязно-голубой</option>
<option value="blueviolet" style="background-color: blueviolet; color: white;">фиолетовый</option>
<option selected="selected" value="orange" style="background-color: orange; color: black;">оранжевый</option>
<option value="goldenrod" style="background-color: goldenrod; color: black;">золотой</option>
<option value="gray" style="background-color: gray; color: black;">темно-серый</option>
<option value="#CCCCCC" style="background-color: #CCCCCC; color: black;">светло-серый</option>
</select><br/>';
echo "<input type=\"submit\" value=\"Сохранить\" /></form>\n";
echo '</div>';
}

 echo '<div class="foot">';
     echo " <a href='/umenu.php'>Меню</a>";
      echo "</div>\n";

include_once '../sys/inc/tfoot.php';
?>